#ifndef _DDM_H_
#define _DDM_H_

#define SHOW_ALL_INT -1

char *get_massformat(void);
char *get_intformat(void);
isotope *get_display_data(void);
int get_permutations(void);
char *do_format_string( int digits);
char *do_adapted_format_string( double value );
void generate_display_data( isotope *results );
isotope *duplicate_peak(const isotope *peak);
isotope *append_peak( isotope *base, isotope *new);
double get_maxp(void);
double get_sump(void);

#endif
